%global pkgname umemcache
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:		python-umemcache
Version:	1.6
Release:	1%{?dist}
Summary:	Ultra fast memcache client written in highly optimized C++ with Python.

License:	BSD
URL:		https://pypi.python.org/pypi/umemcache
Source0:	https://pypi.python.org/packages/source/u/umemcache/%{pkgname}-%{version}.zip

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: gcc
BUildRequires: glibc
BuildRequires: libstdc++
BuildRequires: python-guppy

%description
Ultra fast memcache client written in highly optimized C++ with
Python bindings.
ultramemcache is an ultra fast Memcache client written in
highly optimized C++ with Python bindings.

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf umemcache.egg-info

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot} 

#%check
#touch /tmp/memcached 
#chmod go+rw /tmp/memcached
#memcached -d -P /tmp/memcached
#sleep 1
#python tests/tests.py
#kill -9 $(cat /tmp/memcached)
#rm -f /tmp/memcached

%files
%doc README.rst
%{python_sitearch}/%{pkgname}.so
%{python_sitearch}/%{pkgname}-%{version}-*.egg-info


%changelog
* Sun Apr 07 2013 Yohan Graterol <yohangraterol92@gmail.com> - 1.6-1
- Initial packaging 
